Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.util
Enum Version.ReleaseStatus

    java.lang.Object
      java.lang.Enum<Version.ReleaseStatus>
          org.jivesoftware.util.Version.ReleaseStatus

All Implemented Interfaces:
  Serializable, Comparable<Version.ReleaseStatus>

Enclosing class:
  Version

    public static enum Version.ReleaseStatus

extends Enum<Version.ReleaseStatus>

A class to represent the release status of the server. Product releases are indicated by type safe enum constants.

Enum Constant Summary
`Alpha`
`Beta`
`Release`
`Release_Candidate`

Method Summary
`String` | `toString()`
`static Version.ReleaseStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Version.ReleaseStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Release

    public static final Version.ReleaseStatus Release

### Release_Candidate

    public static final Version.ReleaseStatus Release_Candidate

### Beta

    public static final Version.ReleaseStatus Beta

### Alpha

    public static final Version.ReleaseStatus Alpha

Method Detail

### values

    public static final Version.ReleaseStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Version.ReleaseStatus c : Version.ReleaseStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Version.ReleaseStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Version.ReleaseStatus>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.